/* jabberd - a dispatcher program for jabber 2.x
   Copyright (C) 2007 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program. If not, see <http://www.gnu.org/licenses/>. */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
#include <sys/types.h>
#include <sys/wait.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <syslog.h>
#include <getopt.h>
#include <errno.h>
#include <string.h>
#include <pwd.h>
#include <grp.h>
#include <signal.h>

#include "gsc.h"

#define RETR_OUT 0
#define RETR_ERR 1

#define TESTTIME  2*60
#define SLEEPTIME 5*60
#define MAXSPAWN 10

void register_transport (char *tag, char **argv, int retr[2], char **depv,
			 char *pidfile);
void register_jabber_process (char *cmd, char *cfg);
void logmsg (int prio, char *fmt, ...);
void signal_setup (RETSIGTYPE (*sf)(int));

void *emalloc (size_t size);

void progman_start (void);
void progman_stop (void);
void progman_cleanup (int);
void progman_wake_disabled (void);
void progman_stop_component (const char *);
void progman_dump_stats (const char *);

extern int debug_level;
extern char *syslog_tag;
extern int log_facility;
extern unsigned long shutdown_timeout;

